import processing.core.*; import processing.phone.*; public class Zg_0_0_24 extends PMIDlet{
 // import phone library to go fullscreen
Phone myPhone;             // named reference to phone instance

PFont fontA; 
PFont fontB; 

public void loadFonts()
{
  fontA = loadFont("Verdana-Bold-15.mvlw", color(255,255,255));
  fontB = loadFont("Verdana-Bold-11.mvlw", color(25,98,50));
}


/////////////////////////////////////////////////////////////////////////////////////////////
// Names Of Graphics & How Load Them
/////////////////////////////////////////////////////////////////////////////////////////////

//menu 
PImage inizio[] = new PImage[25];

PImage giocaS;
PImage giocaNs;
PImage classificaS;
PImage classificaNs;
PImage agendaS;
PImage agendaNs;
PImage profiloS;
PImage profiloNs;

//in comune
PImage uno;
PImage due;
PImage due_preferenze;
PImage tre;

//sestiere
PImage sestiere[] = new PImage[8];
PImage sceltaTuoSestiere;
PImage sceltaSestiere;

//nome
PImage gioca_nome_ns;
PImage gioca_nome_s;
//sesso
PImage sessoS[] = new PImage[2];
PImage sessoNs[] = new PImage[2];
//anno
PImage gioca_anno_ns;
PImage gioca_anno_s;

//gioco
PImage giocoS[] = new PImage[2];
PImage giocoNs[] = new PImage[2];
// abilita
PImage abilitaS[] = new PImage[3];
PImage abilitaNs[] = new PImage[3];
// bibita
PImage bibitaS[] = new PImage[2];
PImage bibitaNs[] = new PImage[2];
// cibo
PImage ciboS[] = new PImage[2];
PImage ciboNs[] = new PImage[2];

//soprannome
PImage soprannome[] = new PImage[3];

//data
PImage data[] = new PImage[7];

//tabella
PImage vociElencoTavoli;
PImage elencoTavoliUnoS[] = new PImage [3];
PImage elencoTavoliUnoNs[] = new PImage [3];
PImage elencoTavoliDueS[] = new PImage [3];
PImage elencoTavoliDueNs[] = new PImage [3];
PImage creaNuovoTavoloNs;
PImage creaNuovoTavoloS;
PImage PuntiniS;
PImage PuntiniNs;

//indirizzo
PImage casaIndirizzoNs;
PImage casaIndirizzoS;
//numero
PImage casaNumeroNs;
PImage casaNumeroS;
//fumo
PImage fumoS[] = new PImage[2];
PImage fumoNs[] = new PImage[2];

//crea orologio
PImage creaOrologioNs;
PImage creaOrologioS;
//crea gioco
PImage creaGiocoS[] = new PImage[2];
PImage creaGiocoNs[] = new PImage[2];
//crea posti
PImage creaPostiS[] = new PImage[4];
PImage creaPostiNs[] = new PImage[4];

// dettegli
PImage dettagliGiocatoriNs[] = new PImage[4];
PImage dettagliGiocatoriS[] = new PImage[4];
PImage dettagliFumatori;
PImage dettagliNonFumatori;
PImage dettagliPuntiNs;
PImage dettagliPuntiS;
PImage dettagliVuoto;

//matta
PImage sfondoMattaConferma;
PImage mattaConferma[] = new PImage[10];
PImage sfondoMattaProfilo;
PImage sfondoMattaAttenzione;
PImage mattaAttenzione[] = new PImage[10];
PImage sfondoMattaCancellazione;
PImage mattaCancellazione[] = new PImage[10];
PImage sfondoMattaMessaggio;
PImage mattaMessaggio[] = new PImage[10];


// named references to graphics for title bar (at top) 
PImage topTitle;
PImage topLogo;
PImage gioca;
PImage chart;
PImage profilo;
PImage agenda;

public void loadImages()
{
  //in comune
  uno = loadImage("uno.png");
  due = loadImage("due.png");
  due_preferenze = loadImage("due_preferenze.png");
  tre = loadImage("tre.png");  
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Title Bar And Softkey Bar Drawing Functions
/////////////////////////////////////////////////////////////////////////////////////////////
public void drawTitle(String title)
{
  fill (25,98,50);
  rect(0, 0, 220, 20);
  if(title == "menu")   // if title parameter is "menu"...
  {
    fill (25,98,50);
    rect(0, 0, 220, 20);
    image(topTitle, (width / 2) - (topTitle.width / 2), 0); // draw the special menu graphic, centered
  }
  else {                 // title parameter is plain text...
    textAlign(CENTER);  // align the text to center
    text(title, width / 2,15);             // draw the text, centered on screen
    image(topLogo, 0, 0); // draw the special menu graphic, centered
  }
}

public void drawSoftkeys(String leftSoftkey, String rightSoftkey)
{
  rect(0,200,220,20); // draw background image for the softkey bar
  textAlign(LEFT);                                  // align the text to left
  text(leftSoftkey, 5, height - 5);                 // draw the text the for the left softkey
  textAlign(RIGHT);                                 // align the text to right
  text(rightSoftkey, width - 5, height - 5);        // draw the text the for the right softkey
}
/*
void drawTextField(String nome)
 {
 textFont(fontB);
 textAlign(LEFT); 
 text(nome, 70, 130);                 // draw the text the for the left softkey
 textFont(fontA);
 }
 */


/////////////////////////////////////////////////////////////////////////////////////////////
// variabili schermate
/////////////////////////////////////////////////////////////////////////////////////////////

int selezionato=0; //variabile per passare da una voce all'altra delle preferenze
int menu=0; //variabile per passare da una voce all'altra del menu iniziale

int sestier=0;  //variabili preferenze
int tuoSestiere=0;
int sesso=0; 
int gioco=0;
int abilita=0;
int bibita=0;
int cibo=0;
int soprannom=0;
int dat=0;
int fumo=0;
int giocoCrea = 0;
int posto = 0;
int tavolo = 0;

boolean Animazione = false;
boolean Menu = true; //quale schermata e' disegnata/attiva in questo momento: true e' disegnata/attiva, false no;
boolean Regole = false;
boolean Sestiere = false; 
boolean TuoSestiere = false;
boolean PreferenzeNome = false; 
boolean PreferenzeGioco = false;
boolean Soprannome = false;
boolean Data = false;
boolean PreferenzeCasa = false;
boolean CreaGioco = false;
boolean ElencoTavoliUno = false;
boolean ElencoTavoliDue = false;
boolean DettagliTavolo = false;
boolean DettagliGiocatori = false;
boolean MattaConferma = false;
boolean MattaAttenzione = false;
boolean MattaCancellazione = false;
boolean MattaMessaggio = false;
boolean MattaProfilo = false;

boolean Registrato = false;

String nome = "scrivi qui il tuo nome";
String anno = "24";
String indirizzo = "dove vuoi giocare?";
String civico = "numero civico";
String orario = "    ";
String minuti = "";





/////////////////////////////////////////////////////////////////////////////////////////////
// draw Animazione Iniziale
/////////////////////////////////////////////////////////////////////////////////////////////

int a = 0;

public void drawAnimazioneInizio()
{  
  //inizio[0] = loadImage("inizio0001.png");
  inizio[1] = loadImage("inizio0002.png");
  inizio[2] = loadImage("inizio0003.png");
  inizio[3] = loadImage("inizio0004.png");
  inizio[4] = loadImage("inizio0005.png");
  //inizio[5] = loadImage("inizio0006.png");
  inizio[6] = loadImage("inizio0007.png");
  inizio[7] = loadImage("inizio0008.png");
  inizio[8] = loadImage("inizio0009.png");
  inizio[9] = loadImage("inizio0010.png");
  //inizio[10] = loadImage("inizio0011.png");
  inizio[11] = loadImage("inizio0012.png");
  inizio[12] = loadImage("inizio0013.png");
  inizio[13] = loadImage("inizio0014.png");
  inizio[14] = loadImage("inizio0015.png");
  //inizio[15] = loadImage("inizio0016.png");
  inizio[16] = loadImage("inizio0017.png");
  inizio[17] = loadImage("inizio0018.png");
  inizio[18] = loadImage("inizio0019.png");
  inizio[19] = loadImage("inizio0020.png");
  //inizio[20] = loadImage("inizio0021.png");
  inizio[21] = loadImage("inizio0022.png");
  inizio[22] = loadImage("inizio0023.png");
  inizio[23] = loadImage("inizio0024.png");
  inizio[24] = loadImage("inizio0025.png");


  image (inizio[a], 0, 0);
  a=a+1;
  if (a>=24) a=24;

  //inizio[0] = null;
  inizio[1] = null;
  inizio[2] = null;
  inizio[3] = null;
  inizio[4] = null;
  //inizio[5] = null;
  inizio[6] = null;
  inizio[7] = null;
  inizio[8] = null;
  inizio[9] = null;
  //inizio[10] = null;
  inizio[11] = null;
  inizio[12] = null;
  inizio[13] = null;
  inizio[14] = null;
  //inizio[15] = null;
  inizio[16] = null;
  inizio[17] = null;
  inizio[18] = null;
  inizio[19] = null;
  //inizio[20] = null;
  inizio[21] = null;
  inizio[22] = null;
  inizio[23] = null;
  inizio[24] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMenu
/////////////////////////////////////////////////////////////////////////////////////////////
public void drawMenu()
{
  topTitle = loadImage("topTitle.png");

  giocaS = loadImage("gioca_s.png");
  giocaNs = loadImage("gioca_ns.png");
  classificaS = loadImage("classifica_s.png");
  classificaNs = loadImage("classifica_ns.png");
  agendaS = loadImage("agenda_s.png");
  agendaNs = loadImage("agenda_ns.png");
  profiloS = loadImage("profilo_s.png");
  profiloNs = loadImage("profilo_ns.png");

  // draw background and title
  //background(133,175,53);
  drawTitle("menu");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Esci", "Regole"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  if (menu == 0) image(giocaS, 0, 20);  // place the focus highlight at the top left icon area
  else image(giocaNs, 0, 20);

  if (menu == 1)image(classificaS, 110, 20); // place the focus highlight at the bottom left icon area
  else image(classificaNs, 110, 20);

  if (menu == 2)image(agendaS, 0, 110);  // place the focus highlight at the top right icon area
  else image(agendaNs, 0, 110);

  if (menu == 3)image(profiloS, 110, 110); // place the focus highlight at the bottom right icon area
  else image(profiloNs, 110, 110);

  // qui svuotiamo la memoria
  giocaS = null;
  giocaNs = null;
  classificaS = null;
  classificaNs = null;
  agendaS = null;
  agendaNs = null;
  profiloS = null;
  profiloNs = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawRegole
/////////////////////////////////////////////////////////////////////////////////////////////
public void drawRegole()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Regole");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", ""); // draw the softkey bar (bottom bar) with labels "esci" and "regole"
  textAlign(CENTER);  // align the text to center
  text("ciao vecio! Qui ghe xe do regoe par scominsiar el zogo.. ", width-(width-5), 40, (width-10), (height-60));
  fill (25,98,50);
  rect(0, 0, 21, 20);
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawSestiere
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawSestiere()
{ 
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //sestiere
  sestiere[0] = loadImage("gioca_sestiere_canareggio.png");
  sestiere[1] = loadImage("gioca_sestiere_castello.png");
  sestiere[2] = loadImage("gioca_sestiere_dorsoduro.png");
  sestiere[3] = loadImage("gioca_sestiere_giudecca.png");
  sestiere[4] = loadImage("gioca_sestiere_lido.png");
  sestiere[5] = loadImage("gioca_sestiere_sanmarco.png");
  sestiere[6] = loadImage("gioca_sestiere_sanpolo.png");
  sestiere[7] = loadImage("gioca_sestiere_santacroce.png");
  sceltaSestiere = loadImage("gioca_scegli_sestiere.png");


  image(sceltaSestiere, 0, 20);
  image(sestiere[sestier], 0, 50);

  //sestiere
  sestiere[0] = null;
  sestiere[1] = null;
  sestiere[2] = null;
  sestiere[3] = null;
  sestiere[4] = null;
  sestiere[5] = null;
  sestiere[6] = null;
  sestiere[7] = null;
  sceltaSestiere = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawTuoSestiere
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawTuoSestiere()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_profilo.png");
  background(133,175,53);
  drawTitle("Profilo");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Menu", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"


  sestiere[0] = loadImage("gioca_sestiere_canareggio.png");
  sestiere[1] = loadImage("gioca_sestiere_castello.png");
  sestiere[2] = loadImage("gioca_sestiere_dorsoduro.png");
  sestiere[3] = loadImage("gioca_sestiere_giudecca.png");
  sestiere[4] = loadImage("gioca_sestiere_lido.png");
  sestiere[5] = loadImage("gioca_sestiere_sanmarco.png");
  sestiere[6] = loadImage("gioca_sestiere_sanpolo.png");
  sestiere[7] = loadImage("gioca_sestiere_santacroce.png");
  sceltaTuoSestiere = loadImage("gioca_il_tuo_sestiere.png");


  image(sceltaTuoSestiere, 0, 20);
  image(sestiere[tuoSestiere], 0, 50);

  //sestiere
  sestiere[0] = null;
  sestiere[1] = null;
  sestiere[2] = null;
  sestiere[3] = null;
  sestiere[4] = null;
  sestiere[5] = null;
  sestiere[6] = null;
  sestiere[7] = null;
  sceltaTuoSestiere = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawPreferenzeNome
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawPreferenzeNome()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_profilo.png");
  background(133,175,53);
  drawTitle("Profilo");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //nome
  gioca_nome_ns = loadImage("gioca_nome_ns.png");
  gioca_nome_s = loadImage("gioca_nome_s.png");
  //sesso
  sessoS[0] = loadImage("gioca_sesso_femmina_s.png");
  sessoS[1] = loadImage("gioca_sesso_maschio_s.png");
  sessoNs[0] = loadImage("gioca_sesso_femmina_ns.png");
  sessoNs[1] = loadImage("gioca_sesso_maschio_ns.png");
  //anno
  gioca_anno_ns = loadImage("gioca_anno_ns.png");
  gioca_anno_s = loadImage("gioca_anno_s.png");

  image(uno, 0, 20);
  image(due, 0, 50);
  image(tre, 0, 80);

  if (selezionato==0) image(gioca_nome_s, 0, 110);
  else image(gioca_nome_ns, 0, 110);

  if (selezionato==1) image(sessoS[sesso], 0, 140);
  else image(sessoNs[sesso], 0, 140);

  if (selezionato==2) image(gioca_anno_s, 0, 170);
  else image(gioca_anno_ns, 0, 170);

  // input testo

  textFont(fontB);
  textAlign(LEFT); 
  text(nome, 74, 130);                 
  text(anno, 142, 189);                
  textFont(fontA);

  //nome
  gioca_nome_ns = null;
  gioca_nome_s = null;
  //sesso
  sessoS[0] = null;
  sessoS[1] = null;
  sessoNs[0] = null;
  sessoNs[1] = null;
  //anno
  gioca_anno_ns = null;
  gioca_anno_s = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawPreferenzeGioco
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawPreferenzeGioco ()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_profilo.png");
  background(133,175,53);
  drawTitle("Profilo");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"


  //gioco
  giocoS[0] = loadImage("gioca_gioco_briscola_s.png");
  giocoS[1] = loadImage("gioca_gioco_scopone_s.png");
  giocoNs[0] = loadImage("gioca_gioco_briscola_ns.png");
  giocoNs[1] = loadImage("gioca_gioco_scopone_ns.png");
  // abilita
  abilitaS[0] = loadImage("gioca_abilita_alta_s.png");
  abilitaS[1] = loadImage("gioca_abilita_media_s.png");
  abilitaS[2] = loadImage("gioca_abilita_bassa_s.png");
  abilitaNs[0] = loadImage("gioca_abilita_alta_ns.png");
  abilitaNs[1] = loadImage("gioca_abilita_media_ns.png");
  abilitaNs[2] = loadImage("gioca_abilita_bassa_ns.png");
  // bibita
  bibitaS[0] = loadImage("gioca_bibita_aranciata_s.png");
  bibitaS[1] = loadImage("gioca_bibita_grog_s.png");
  bibitaNs[0] = loadImage("gioca_bibita_aranciata_ns.png");
  bibitaNs[1] = loadImage("gioca_bibita_grog_ns.png");
  // cibo
  ciboS[0] = loadImage("gioca_cibo_gallette_s.png");
  ciboS[1] = loadImage("gioca_cibo_baicoli_s.png");
  ciboNs[0] = loadImage("gioca_cibo_gallette_ns.png");
  ciboNs[1] = loadImage("gioca_cibo_baicoli_ns.png");

  image(uno, 0, 20);
  image(due_preferenze, 0, 50);

  if (selezionato==0) image(giocoS[gioco], 0, 80);
  else image(giocoNs[gioco], 0, 80);

  if (selezionato==1) image(abilitaS[abilita], 0, 110);
  else image(abilitaNs[abilita], 0, 110);

  if (selezionato==2) image(bibitaS[bibita], 0, 140);
  else image(bibitaNs[bibita], 0, 140);

  if (selezionato==3) image(ciboS[cibo], 0, 170);
  else image(ciboNs[cibo], 0, 170);

  //gioco
  giocoS[0] = null;
  giocoS[1] = null;
  giocoNs[0] = null;
  giocoNs[1] = null;
  // abilita
  abilitaS[0] = null;
  abilitaS[1] = null;
  abilitaS[2] = null;
  abilitaNs[0] = null;
  abilitaNs[1] = null;
  abilitaNs[2] = null;
  // bibita
  bibitaS[0] = null;
  bibitaS[1] = null;
  bibitaNs[0] = null;
  bibitaNs[1] = null;
  // cibo
  ciboS[0] = null;
  ciboS[1] = null;
  ciboNs[0] = null;
  ciboNs[1] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawSoprannome
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawSoprannome ()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_profilo.png");
  background(133,175,53);
  drawTitle("Profilo");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //soprannome
  soprannome[0] = loadImage("gioca_soprannome_ilbello.png");
  soprannome[1] = loadImage("gioca_soprannome_ilbrutto.png");
  soprannome[2] = loadImage("gioca_soprannome_illoffio.png");

  image(soprannome[soprannom], 0, 20);

  //soprannome
  soprannome[0] = null;
  soprannome[1] = null;
  soprannome[2] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawData
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawData ()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Menu", "Scegli"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //data
  data[0] = loadImage("gioca_data_1.png");
  data[1] = loadImage("gioca_data_2.png");
  data[2] = loadImage("gioca_data_3.png");
  data[3] = loadImage("gioca_data_4.png");
  data[4] = loadImage("gioca_data_5.png");
  data[5] = loadImage("gioca_data_6.png");
  data[6] = loadImage("gioca_data_7.png");

  image(data[dat], 0, 20);

  //data
  data[0] = null;
  data[1] = null;
  data[2] = null;
  data[3] = null;
  data[4] = null;
  data[5] = null;
  data[6] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawPreferenzeCasa
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawPreferenzeCasa ()
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //indirizzo
  casaIndirizzoNs = loadImage("gioca_casa_indirizzo_ns.png");
  casaIndirizzoS = loadImage("gioca_casa_indirizzo_s.png");  
  //numero
  casaNumeroNs = loadImage("gioca_casa_numero_ns.png");
  casaNumeroS = loadImage("gioca_casa_numero_s.png");
  //fumo
  fumoS[0] = loadImage("gioca_casa_nnfumatori_s.png");
  fumoS[1] = loadImage("gioca_casa_fumatori_s.png");
  fumoNs[0] = loadImage("gioca_casa_nnfumatori_ns.png");
  fumoNs[1] = loadImage("gioca_casa_fumatori_ns.png");

  image(uno, 0, 20);
  image(due, 0, 50);
  image(tre, 0, 80);

  if (selezionato==0) image(casaIndirizzoS, 0, 110);
  else image(casaIndirizzoNs, 0, 110);

  if (selezionato==1) image(casaNumeroS, 0, 140);
  else image(casaNumeroNs, 0, 140);

  if (selezionato==2) image(fumoS[fumo], 0, 170);
  else image(fumoNs[fumo], 0, 170);

  // input testo

  textFont(fontB);
  textAlign(LEFT); 
  text(indirizzo, 83, 130);                 
  text(civico, 83, 160);                
  textFont(fontA);

  //indirizzo
  casaIndirizzoNs = null;
  casaIndirizzoS = null;  
  //numero
  casaNumeroNs = null;
  casaNumeroS = null;
  //fumo
  fumoS[0] = null;
  fumoS[1] = null;
  fumoNs[0] = null;
  fumoNs[1] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawCreaGioco
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawCreaGioco () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Conferma"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  //crea orologio
  creaOrologioNs = loadImage("gioca_crea_orologio_ns.png");
  creaOrologioS = loadImage("gioca_crea_orologio_s.png");
  // crea gioco
  creaGiocoS[0] = loadImage("gioca_crea_briscola_s.png");
  creaGiocoS[1] = loadImage("gioca_crea_scopone_s.png");
  creaGiocoNs[0] = loadImage("gioca_crea_briscola_ns.png");
  creaGiocoNs[1] = loadImage("gioca_crea_scopone_ns.png");
  //crea posti
  creaPostiNs[0] = loadImage("gioca_crea_posti_1_ns.png");
  creaPostiNs[1] = loadImage("gioca_crea_posti_2_ns.png");
  creaPostiNs[2] = loadImage("gioca_crea_posti_3_ns.png");
  creaPostiNs[3] = loadImage("gioca_crea_posti_4_ns.png");
  creaPostiS[0] = loadImage("gioca_crea_posti_1_s.png");
  creaPostiS[1] = loadImage("gioca_crea_posti_2_s.png");
  creaPostiS[2] = loadImage("gioca_crea_posti_3_s.png");
  creaPostiS[3] = loadImage("gioca_crea_posti_4_s.png");

  if (selezionato==0) image(creaOrologioS, 0, 20);
  else image(creaOrologioNs, 0, 20);

  if (selezionato==1) image(creaGiocoS[giocoCrea], 0, 140);
  else image(creaGiocoNs[giocoCrea], 0, 140);

  if (selezionato==2) image(creaPostiS[posto], 0, 170);
  else image(creaPostiNs[posto], 0, 170);

  // input testo

  textFont(fontB);
  textAlign(LEFT); 
  text(orario+":", 91, 85);
  text(""+minuti, 112, 85);  
  textFont(fontA);

  //crea orologio
  creaOrologioNs = null;
  creaOrologioS = null;
  // crea gioco
  creaGiocoS[0] = null;
  creaGiocoS[1] = null;
  creaGiocoNs[0] = null;
  creaGiocoNs[1] = null;
  //crea posti
  creaPostiNs[0] = null;
  creaPostiNs[1] = null;
  creaPostiNs[2] = null;
  creaPostiNs[3] = null;
  creaPostiS[0] = null;
  creaPostiS[1] = null;
  creaPostiS[2] = null;
  creaPostiS[3] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawElencoTavoliUno
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawElencoTavoliUno () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Data", "Sestiere"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  vociElencoTavoli = loadImage("gioca_tabella_1_2.png");
  elencoTavoliUnoS[0] = loadImage("gioca_tabella_1_s.png");
  elencoTavoliUnoS[1] = loadImage("gioca_tabella_2_s.png");
  elencoTavoliUnoS[2] = loadImage("gioca_tabella_3_s.png");

  elencoTavoliUnoNs[0] = loadImage("gioca_tabella_1_ns.png");
  elencoTavoliUnoNs[1] = loadImage("gioca_tabella_2_ns.png");
  elencoTavoliUnoNs[2] = loadImage("gioca_tabella_3_ns.png");

  PuntiniNs = loadImage("gioca_tabella_puntini_ns.png");
  PuntiniS = loadImage("gioca_tabella_puntini_s.png");

  image(vociElencoTavoli, 0, 20);

  if (selezionato==0) image(elencoTavoliUnoS[0], 0, 80);
  else image(elencoTavoliUnoNs[0], 0, 80);

  if (selezionato==1) image(elencoTavoliUnoS[1], 0, 110);
  else image(elencoTavoliUnoNs[1], 0, 110);

  if (selezionato==2) image(elencoTavoliUnoS[2], 0, 140);
  else image(elencoTavoliUnoNs[2], 0, 140);

  image(PuntiniNs, 0, 170);

  vociElencoTavoli = null;
  elencoTavoliUnoS[0] = null;
  elencoTavoliUnoS[1] = null;
  elencoTavoliUnoS[2] = null;

  elencoTavoliUnoNs[0] = null;
  elencoTavoliUnoNs[1] = null;
  elencoTavoliUnoNs[2] = null;

  PuntiniNs = null;
  PuntiniS = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawElencoTavoliDue
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawElencoTavoliDue () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Data", "Sestiere"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  vociElencoTavoli = loadImage("gioca_tabella_1_2.png");
  elencoTavoliDueS[0] = loadImage("gioca_tabella_4_s.png");
  elencoTavoliDueS[1] = loadImage("gioca_tabella_5_s.png");
  elencoTavoliDueS[2] = loadImage("gioca_tabella_6_s.png");

  elencoTavoliDueNs[0] = loadImage("gioca_tabella_4_ns.png");
  elencoTavoliDueNs[1] = loadImage("gioca_tabella_5_ns.png");
  elencoTavoliDueNs[2] = loadImage("gioca_tabella_6_ns.png");
  creaNuovoTavoloNs = loadImage("gioca_tabella_creatavolo_ns.png");
  creaNuovoTavoloS = loadImage("gioca_tabella_creatavolo_s.png");

  image(vociElencoTavoli, 0, 20);

  if (selezionato==0) image(elencoTavoliDueS[0], 0, 80);
  else image(elencoTavoliDueNs[0], 0, 80);

  if (selezionato==1) image(elencoTavoliDueS[1], 0, 110);
  else image(elencoTavoliDueNs[1], 0, 110);

  if (selezionato==2) image(elencoTavoliDueS[2], 0, 140);
  else image(elencoTavoliDueNs[2], 0, 140);

  if (selezionato==3) image(creaNuovoTavoloS, 0, 170);
  else image(creaNuovoTavoloNs, 0, 170);

  vociElencoTavoli = null;
  elencoTavoliDueS[0] = null;
  elencoTavoliDueS[1] = null;
  elencoTavoliDueS[2] = null;

  elencoTavoliDueNs[0] = null;
  elencoTavoliDueNs[1] = null;
  elencoTavoliDueNs[2] = null;
  creaNuovoTavoloNs = null;
  creaNuovoTavoloS = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawDettagliTavolo
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawDettagliTavolo() 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  dettagliFumatori = loadImage("gioca_dettagli_fumatori.png");
  dettagliNonFumatori = loadImage("gioca_dettagli_non_fumatori.png");
  dettagliPuntiNs = loadImage("gioca_dettagli_puntini_ns.png");
  dettagliPuntiS = loadImage("gioca_dettagli_puntini_s.png");

  image(dettagliNonFumatori, 0, 20);

  dettagliFumatori = null;
  dettagliNonFumatori = null;
  dettagliPuntiNs = null;
  dettagliPuntiS = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawDettagliGiocatori
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawDettagliGiocatori () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Gioca");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Conferma"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  dettagliGiocatoriNs[0] = loadImage("gioca_dettagli_1_ns.png");
  dettagliGiocatoriNs[1] = loadImage("gioca_dettagli_2_ns.png");
  dettagliGiocatoriNs[2] = loadImage("gioca_dettagli_3_ns.png");
  dettagliGiocatoriNs[3] = loadImage("gioca_dettagli_4_ns.png");
  dettagliGiocatoriS[0] = loadImage("gioca_dettagli_1_s.png");
  dettagliGiocatoriS[1] = loadImage("gioca_dettagli_2_s.png");
  dettagliGiocatoriS[2] = loadImage("gioca_dettagli_3_s.png");
  dettagliGiocatoriS[3] = loadImage("gioca_dettagli_4_s.png");
  dettagliVuoto = loadImage("gioca_dettagli_vuoto.png");

  if (selezionato==0) image(dettagliGiocatoriS[0], 0, 20);
  else image(dettagliGiocatoriNs[0], 0, 20);

  if (selezionato==1) image(dettagliGiocatoriS[1], 0, 50);
  else image(dettagliGiocatoriNs[1], 0, 50);

  if (selezionato==2) image(dettagliGiocatoriS[2], 0, 80);
  else image(dettagliGiocatoriNs[2], 0, 80);

  if (selezionato==3) image(dettagliGiocatoriS[3], 0, 110);
  else image(dettagliGiocatoriNs[3], 0, 110);

  image(dettagliVuoto, 0, 140);

  dettagliGiocatoriNs[0] = null;
  dettagliGiocatoriNs[1] = null;
  dettagliGiocatoriNs[2] = null;
  dettagliGiocatoriNs[3] = null;
  dettagliGiocatoriS[0] = null;
  dettagliGiocatoriS[1] = null;
  dettagliGiocatoriS[2] = null;
  dettagliGiocatoriS[3] = null;
  dettagliVuoto = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMattaConferma
/////////////////////////////////////////////////////////////////////////////////////////////
int m=0;
int n=0;
int o=0;
int q=0;

public void drawMattaConferma () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Perfetto!");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Menu", ""); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  sfondoMattaConferma = loadImage("sfondo_matta_conferma.png");
  mattaConferma[0] = loadImage("matta0001.png");
  mattaConferma[1] = loadImage("matta0003.png");
  mattaConferma[2] = loadImage("matta0005.png");
  mattaConferma[3] = loadImage("matta0007.png");
  mattaConferma[4] = loadImage("matta0009.png");
  mattaConferma[5] = loadImage("matta0011.png");
  mattaConferma[6] = loadImage("matta0013.png");
  mattaConferma[7] = loadImage("matta0015.png");
  mattaConferma[8] = loadImage("matta0017.png");
  mattaConferma[9] = loadImage("matta0019.png");

  image (sfondoMattaConferma, 0, 20);
  image (mattaConferma[m], 55, 30);
  m=m+1;
  if (m>=10) m=0;

  sfondoMattaConferma = null;
  mattaConferma[0] = null;
  mattaConferma[1] = null;
  mattaConferma[2] = null;
  mattaConferma[3] = null;
  mattaConferma[4] = null;
  mattaConferma[5] = null;
  mattaConferma[6] = null;
  mattaConferma[7] = null;
  mattaConferma[8] = null;
  mattaConferma[9] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMattaProfilo
/////////////////////////////////////////////////////////////////////////////////////////////
int z=0;


public void drawMattaProfilo () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_gioca.png");
  background(133,175,53);
  drawTitle("Perfetto!");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("", "Avanti"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  sfondoMattaProfilo = loadImage("sfondo_matta_profilo.png");
  mattaConferma[0] = loadImage("matta0001.png");
  mattaConferma[1] = loadImage("matta0003.png");
  mattaConferma[2] = loadImage("matta0005.png");
  mattaConferma[3] = loadImage("matta0007.png");
  mattaConferma[4] = loadImage("matta0009.png");
  mattaConferma[5] = loadImage("matta0011.png");
  mattaConferma[6] = loadImage("matta0013.png");
  mattaConferma[7] = loadImage("matta0015.png");
  mattaConferma[8] = loadImage("matta0017.png");
  mattaConferma[9] = loadImage("matta0019.png");

  image (sfondoMattaProfilo, 0, 20);
  image (mattaConferma[z], 55, 30);
  z=z+1;
  if (z>=10) z=0;

  sfondoMattaProfilo = null;
  mattaConferma[0] = null;
  mattaConferma[1] = null;
  mattaConferma[2] = null;
  mattaConferma[3] = null;
  mattaConferma[4] = null;
  mattaConferma[5] = null;
  mattaConferma[6] = null;
  mattaConferma[7] = null;
  mattaConferma[8] = null;
  mattaConferma[9] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMattaAttenzione
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawMattaAttenzione () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_agenda.png");
  background(133,175,53);
  drawTitle("Attenzione!");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Indietro", "Continua"); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  sfondoMattaAttenzione = loadImage("sfondo_matta_attenzione.png");
  mattaAttenzione[0] = loadImage("matta_cattiva0001.png");
  mattaAttenzione[1] = loadImage("matta_cattiva0003.png");
  mattaAttenzione[2] = loadImage("matta_cattiva0005.png");
  mattaAttenzione[3] = loadImage("matta_cattiva0007.png");
  mattaAttenzione[4] = loadImage("matta_cattiva0009.png");
  mattaAttenzione[5] = loadImage("matta_cattiva0011.png");
  mattaAttenzione[6] = loadImage("matta_cattiva0013.png");
  mattaAttenzione[7] = loadImage("matta_cattiva0015.png");
  mattaAttenzione[8] = loadImage("matta_cattiva0017.png");
  mattaAttenzione[9] = loadImage("matta_cattiva0019.png");

  image (sfondoMattaAttenzione, 0, 20);
  image (mattaAttenzione[n], 55, 30);
  n=n+1;
  if (n>=10) n=0;

  sfondoMattaAttenzione = null;
  mattaAttenzione[0] = null;
  mattaAttenzione[1] = null;
  mattaAttenzione[2] = null;
  mattaAttenzione[3] = null;
  mattaAttenzione[4] = null;
  mattaAttenzione[5] = null;
  mattaAttenzione[6] = null;
  mattaAttenzione[7] = null;
  mattaAttenzione[8] = null;
  mattaAttenzione[9] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMattaCancellazione
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawMattaCancellazione () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_agenda.png");
  background(133,175,53);
  drawTitle("Cancellato");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Data", ""); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  sfondoMattaCancellazione = loadImage("sfondo_matta_cancellazione.png");
  mattaCancellazione[0] = loadImage("matta_triste0001.png");
  mattaCancellazione[1] = loadImage("matta_triste0003.png");
  mattaCancellazione[2] = loadImage("matta_triste0005.png");
  mattaCancellazione[3] = loadImage("matta_triste0007.png");
  mattaCancellazione[4] = loadImage("matta_triste0009.png");
  mattaCancellazione[5] = loadImage("matta_triste0011.png");
  mattaCancellazione[6] = loadImage("matta_triste0013.png");
  mattaCancellazione[7] = loadImage("matta_triste0015.png");
  mattaCancellazione[8] = loadImage("matta_triste0017.png");
  mattaCancellazione[9] = loadImage("matta_triste0019.png");

  image (sfondoMattaCancellazione, 0, 20);
  image (mattaCancellazione[o], 55, 30);
  o=o+1;
  if (o>=10) o=0;

  sfondoMattaCancellazione = null;
  mattaCancellazione[0] = null;
  mattaCancellazione[1] = null;
  mattaCancellazione[2] = null;
  mattaCancellazione[3] = null;
  mattaCancellazione[4] = null;
  mattaCancellazione[5] = null;
  mattaCancellazione[6] = null;
  mattaCancellazione[7] = null;
  mattaCancellazione[8] = null;
  mattaCancellazione[9] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// drawMattaMessaggio
/////////////////////////////////////////////////////////////////////////////////////////////

public void drawMattaMessaggio () 
{
  // draw background, title and softkeys
  topLogo = loadImage("logo_agenda.png");
  background(133,175,53);
  drawTitle("Messaggio");      // draw the title bar (top bar) with the text "menu"
  drawSoftkeys("Menu", ""); // draw the softkey bar (bottom bar) with labels "esci" and "regole"

  sfondoMattaMessaggio = loadImage("sfondo_matta_messaggio.png");
  mattaConferma[0] = loadImage("matta0001.png");
  mattaConferma[1] = loadImage("matta0003.png");
  mattaConferma[2] = loadImage("matta0005.png");
  mattaConferma[3] = loadImage("matta0007.png");
  mattaConferma[4] = loadImage("matta0009.png");
  mattaConferma[5] = loadImage("matta0011.png");
  mattaConferma[6] = loadImage("matta0013.png");
  mattaConferma[7] = loadImage("matta0015.png");
  mattaConferma[8] = loadImage("matta0017.png");
  mattaConferma[9] = loadImage("matta0019.png");

  image (sfondoMattaMessaggio, 0, 20);
  image (mattaConferma[q], 55, 30);
  q=q+1;
  if (q>=10) q=0;

  sfondoMattaMessaggio = null;
  mattaConferma[0] = null;
  mattaConferma[1] = null;
  mattaConferma[2] = null;
  mattaConferma[3] = null;
  mattaConferma[4] = null;
  mattaConferma[5] = null;
  mattaConferma[6] = null;
  mattaConferma[7] = null;
  mattaConferma[8] = null;
  mattaConferma[9] = null;
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Draw, Executes Forever, Provides User Feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

public void draw()               // happens repeatedly (according to framerate)...
{
  // si attivano sempre in base a che schermata \u00cb true
  if(Animazione == true)drawAnimazioneInizio();
  if(Menu == true)drawMenu();
  if(Regole == true)drawRegole();
  if(Sestiere == true)drawSestiere();
  if(TuoSestiere == true)drawTuoSestiere();
  if(PreferenzeNome == true)drawPreferenzeNome();
  if(PreferenzeGioco == true)drawPreferenzeGioco();
  if(Soprannome == true)drawSoprannome(); 
  if(Data == true)drawData();
  if(PreferenzeCasa == true)drawPreferenzeCasa();
  if(CreaGioco == true)drawCreaGioco();
  if(ElencoTavoliUno == true)drawElencoTavoliUno();
  if(ElencoTavoliDue == true)drawElencoTavoliDue();
  if(DettagliTavolo == true)drawDettagliTavolo();
  if(DettagliGiocatori == true)drawDettagliGiocatori();
  if(MattaConferma == true)drawMattaConferma();
  if(MattaProfilo == true)drawMattaProfilo();
  if(MattaAttenzione == true)drawMattaAttenzione();
  if(MattaCancellazione == true)drawMattaCancellazione();
  if(MattaMessaggio == true)drawMattaMessaggio();
}

public void setup()
{
  myPhone = new Phone(this); // create new phone instance/controller
  myPhone.fullscreen();      // tell phone to go fullscreen
  size(220,220);
  background(133,175,53);
  noStroke();

  framerate(64);

  loadImages();              // load the images we specified in the "graphics" tab
  loadFonts();               // load the fonts we specified in the "graphics" tab


  textFont(fontA);

}


/////////////////////////////////////////////////////////////////////////////////////////////
// Keypad Event (User Input Capture & Interpretation)
/////////////////////////////////////////////////////////////////////////////////////////////

public void keyReleased()            // whenever a key is pressed...
{

  if (keyCode == RIGHT) {
    if (Menu == true) menu = menu+1;
    if (Sestiere == true) sestier = sestier+1;  
    if (TuoSestiere == true) tuoSestiere = tuoSestiere+1;
    if (PreferenzeNome == true && selezionato == 1) sesso = sesso +1;
    if (PreferenzeGioco == true && selezionato == 0) gioco = gioco +1; 
    if (PreferenzeGioco == true && selezionato == 1) abilita = abilita +1;
    if (PreferenzeGioco == true && selezionato == 2) bibita = bibita +1;
    if (PreferenzeGioco == true && selezionato == 3) cibo = cibo +1;
    if (Soprannome == true) soprannom = soprannom +1;
    if (Data == true) dat = dat +1;
    if (PreferenzeCasa == true && selezionato == 2) fumo = fumo +1;
    if (CreaGioco == true && selezionato == 1) giocoCrea = giocoCrea +1;
    if (CreaGioco == true && selezionato == 2) posto = posto +1;
  }
  if (keyCode == LEFT) {
    if (Menu == true) menu = menu-1;
    if (Sestiere == true) sestier = sestier-1;  
    if (TuoSestiere == true) tuoSestiere = tuoSestiere-1;
    if (PreferenzeNome == true && selezionato == 1) sesso = sesso -1;  
    if (PreferenzeGioco == true && selezionato == 0) gioco = gioco -1; 
    if (PreferenzeGioco == true && selezionato == 1) abilita = abilita -1;
    if (PreferenzeGioco == true && selezionato == 2) bibita = bibita -1;
    if (PreferenzeGioco == true && selezionato == 3) cibo = cibo -1;
    if (Soprannome == true) soprannom = soprannom -1;
    if (Data == true) dat = dat -1;
    if (PreferenzeCasa == true && selezionato == 2) fumo = fumo -1;
    if (CreaGioco == true && selezionato == 1) giocoCrea = giocoCrea -1;
    if (CreaGioco == true && selezionato == 2) posto = posto -1;
  }


  //FUOCO!
  if (keyCode == FIRE) {
    if (Menu == true && menu == 0 && Registrato == false) {
      Menu = false;
      TuoSestiere = true;
    }  
    else if (Menu == true && menu == 0 && Registrato == true) {
      Menu = false;
      Data = true;
      selezionato = 0;
    }  
    else if (Menu == true && menu == 1 ) {
      Menu = false;
      DettagliGiocatori = true;
    }
  else if (Menu == true && menu == 2 ) {
      Menu = false;
      Data = true;
    }  
    else if (Menu == true && menu == 3 ) {
      Menu = false;
      TuoSestiere = true;
    }
    else if (Sestiere == true) { 
      ElencoTavoliUno = true;  
      Sestiere = false;
      selezionato = 0;
    }
    else if (TuoSestiere == true) { 
      PreferenzeNome = true;
      TuoSestiere = false;
      selezionato = 0;
    }
    else if (PreferenzeNome == true && selezionato == 0) { 
      nome = textInput("nome", "", 15);
      PreferenzeNome = true;
      selezionato = 0;
    }
    else if (PreferenzeNome == true && selezionato == 2) { 
      anno = textInput("il tuo anno di nascita", "", 2);
      PreferenzeNome = true;
      selezionato = 2;
    }
    else if (Soprannome == true) { 
      MattaProfilo = true;
      Soprannome = false;
      selezionato = 0;
    }
    else if (MattaConferma == true) { 
      Data = true;
      MattaConferma = false;
      Registrato = true;
      selezionato = 0;
    } 
    else if (Data == true) { 
      ElencoTavoliUno = true;
      Data = false;
      selezionato = 0;
    }
    else if (ElencoTavoliUno == true) { 
      DettagliTavolo = true;
      ElencoTavoliUno = false;
      selezionato = 0;
    }
    else if (ElencoTavoliDue == true && selezionato >= 0 && selezionato <= 2) { 
      DettagliTavolo = true;
      ElencoTavoliDue = false;
      selezionato = 0;
    }
    else if (ElencoTavoliDue == true && selezionato == 3) { 
      PreferenzeCasa = true;
      ElencoTavoliDue = false;
      selezionato = 0;
    }
    else if (PreferenzeCasa == true && selezionato == 0) {
      indirizzo = textInput("indirizzo ove giocare", "", 25);
      PreferenzeCasa = true;
      selezionato = 0;
    }
    else if (PreferenzeCasa == true && selezionato == 1) {
      civico = textInput("numero civico", "", 6);
      PreferenzeCasa = true;
      selezionato = 1;
    }
    else if (CreaGioco == true && selezionato == 0) { 
      orario = textInput("a che ora vuoi giocare?", "12", 2);
      minuti = textInput("ai minuti", "00", 2);
      CreaGioco = true;
      selezionato = 0;
    }
  }

  //per passare da una voce all'altra del menu
  if (keyCode == DOWN) {
    selezionato=selezionato+1;  
    if (Data == true) {
      dat = dat +3;      
      if (dat > 6) dat = 0;
      if (dat < 0) dat = 6;
    }  
    else if (Menu == true) {
      menu = menu +2;
      if (menu > 3) menu = 0;
      if (menu < 0) menu = 3;
    }
    else if (ElencoTavoliUno == true && selezionato == 3) { 
      ElencoTavoliDue = true;
      ElencoTavoliUno = false;
      selezionato = 0;
    }
  }
  if (keyCode == UP) {
    selezionato=selezionato-1;
    if (Data == true) {
      dat = dat -3;
      if (dat > 6) dat = 0;
      if (dat < 0) dat = 6;
    }
    else if (Menu == true) {
      menu = menu -2;
      if (menu > 3) menu = 0;
      if (menu < 0) menu = 3;
    }
    else if (ElencoTavoliDue == true && selezionato == -1) { 
      ElencoTavoliDue = false;
      ElencoTavoliUno = true;
      selezionato = 2;
    }
  }

  if (keyCode == SOFTKEY1) { //left  solitamente "INDIETRO"
    if (Menu == true) { 
      exit(); //exit the program
    }
    else if (Regole == true) { 
      Menu = true; 
      Regole = false;
      selezionato = 0;
    }
    else if (Sestiere == true) { 
      ElencoTavoliUno = true;
      Sestiere = false;
      selezionato = 0;
    }
    else if (TuoSestiere == true) { 
      Menu = true; 
      TuoSestiere = false;
      selezionato = 0;
    }
    else if (PreferenzeNome == true) { 
      TuoSestiere = true;
      PreferenzeNome = false;
      selezionato = 0;
    }
    else if (PreferenzeGioco == true) { 
      PreferenzeNome = true;
      PreferenzeGioco = false;
      selezionato = 0;
    } 
    else if (Soprannome == true) { 
      PreferenzeGioco = true;
      Soprannome = false;
      selezionato = 0;
    }
    else if (Data == true) { 
      Menu = true;
      Data = false;
      selezionato = 0;
    }
    else if (ElencoTavoliUno == true) { 
      Data = true;
      ElencoTavoliUno = false;
      selezionato = 0;
    }
    else if (ElencoTavoliDue == true) { 
      Data = true;
      ElencoTavoliDue = false;
      selezionato = 0;
    }
    else if (DettagliTavolo == true) {
      ElencoTavoliUno = true;
      DettagliTavolo = false;
      selezionato = 0;
    }
    else if (DettagliGiocatori == true) {
      DettagliTavolo = true;
      DettagliGiocatori = false;
      selezionato = 0;
    }
    else if (PreferenzeCasa == true) { 
      ElencoTavoliUno = true;
      PreferenzeCasa = false;
      selezionato = 0;
    }
    else if (CreaGioco == true) { 
      ElencoTavoliUno = true;
      CreaGioco = false;
      selezionato = 0;
    }
    else if (MattaConferma == true) { 
      Menu = true;
      MattaConferma = false;
      selezionato = 0;
    }
  }
  if (keyCode == SOFTKEY2) { //right solitamente "AVANTI"
    if (Menu == true) { 
      Menu = false;
      Regole = true;
    }
    else if (Sestiere == true) { 
      ElencoTavoliUno = true;  
      Sestiere = false;
      selezionato = 0;
    }
    else if (TuoSestiere == true) { 
      PreferenzeNome = true;
      TuoSestiere = false;
      selezionato = 0;
    }
    else if (PreferenzeNome == true) { 
      PreferenzeGioco = true;
      PreferenzeNome = false;
      selezionato = 0;
    }
    else if (PreferenzeGioco == true) { 
      Soprannome = true;
      PreferenzeGioco = false;
      selezionato = 0;
    } 
    else if (Soprannome == true) { 
      MattaProfilo = true;
      Soprannome = false;
      selezionato = 0;
    }
    else if (MattaProfilo == true) { 
      Data = true;
      MattaProfilo = false;
      Registrato = true;
      selezionato = 0;
    } 
    else if (Data == true) { 
      ElencoTavoliUno = true;
      Data = false;
      selezionato = 0;
    }
    else if (ElencoTavoliUno == true) { 
      Sestiere = true;
      ElencoTavoliUno = false;
      selezionato = 0;
    }
    else if (ElencoTavoliDue == true) { 
      Sestiere = true;
      ElencoTavoliDue = false;
      selezionato = 0;
    }
    else if (DettagliTavolo == true) {
      DettagliGiocatori = true;
      DettagliTavolo = false;
      selezionato = 0;
    }
    else if (DettagliGiocatori == true) {
      MattaConferma = true;
      DettagliGiocatori = false;
      selezionato = 0;
    }
    else if (PreferenzeCasa == true) { 
      CreaGioco = true;
      PreferenzeCasa = false;
      selezionato = 0;
    }
    else if (CreaGioco == true) { 
      MattaConferma = true;
      CreaGioco = false;
      selezionato = 0;
    }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (Menu == true){
    if (menu==4) menu=0;
    if (menu==-1) menu=3;
  }


  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyreleased per sestiere; questo e i successivi if servono per "ciclare" scelte e voci del menu
  if (Sestiere == true){
    if (sestier==8) sestier=0;    
    if (sestier==-1) sestier=7;
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (TuoSestiere == true){
    if (tuoSestiere==8) tuoSestiere=0;    
    if (tuoSestiere==-1) tuoSestiere=7;
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyreleased per preferenzenome
  if (PreferenzeNome == true){
    if (selezionato==3) selezionato=0; 
    if (selezionato==-1) selezionato=2;

    if (selezionato == 1){
      if (sesso==2) sesso=0; 
      if (sesso==-1) sesso=1;
    }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyrelease per preferenzegioco
  if (PreferenzeGioco == true){
    if (selezionato==4) selezionato=0; 
    if (selezionato==-1) selezionato=3;

    if (selezionato == 0){  
      if (gioco==2) gioco=0;      
      if (gioco==-1) gioco=1;
    }

    if (selezionato == 1){
      if (abilita==3) abilita=0;  
      if (abilita==-1) abilita=2;
    }

    if (selezionato == 2){
      if (bibita==2) bibita=0; 
      if (bibita==-1) bibita=1;
    }

    if (selezionato == 3){
      if (cibo==2) cibo=0;
      if (cibo==-1) cibo=1;
    }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyreleased per soprannome
  if (Soprannome == true){
    if (soprannom==3) soprannom=0;    
    if (soprannom==-1) soprannom=2;
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyreleased per data
  if (Data == true){
    if (dat==7) dat=0;    
    if (dat==-1) dat=6;
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  //keyreleased per preferenzecasa
  if (PreferenzeCasa == true){
    if (selezionato==3) selezionato=0; 
    if (selezionato==-1) selezionato=2;

    if (selezionato == 2){
      if (fumo==2) fumo=0; 
      if (fumo==-1) fumo=1;
    }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (CreaGioco == true){
    if (selezionato==3) selezionato=0; 
    if (selezionato==-1) selezionato=2;

    if (selezionato == 1){
      if (giocoCrea==2) giocoCrea=0; 
      if (giocoCrea==-1) giocoCrea=1;
    }

    if (selezionato == 2){
      if (posto==4) posto=0; 
      if (posto==-1) posto=3;
    }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (ElencoTavoliUno == true){
    if (selezionato==-1) selezionato=0;
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (ElencoTavoliDue == true){
    if (selezionato>=4) selezionato=3; 
  }

  /////////////////////////////////////////////////////////////////////////////////////////////

  if (DettagliGiocatori == true){
    if (selezionato==4) selezionato=0; 
    if (selezionato==-1) selezionato=3;
  }
}


}